Page MenuHomePhabricator

Legacy GlobalCollect: don't generate order IDs starting with 4 or 7
Closed, ResolvedPublic2 Estimated Story Points

Description

Looks like order IDs created via the Connect API share address space with those created via WebCollect:

This issue is related to the default dynamic ORDERID ranges '4xxxxxxxxx' or '7xxxxxxxxx' which is used by Connect API. Since your system is processing through two different platforms (Legacy and Connect) where the legacy integration still provides its own ORDERID, it would cause issue if Connect use an ORDERID which was removed from the legacy system. To avoid this from happening again, would it be feasible to update the legacy integration to not use ORDERID that starts with '4' or '7'? That way the ORDERIDs from two platforms will never collide. Another option is to not include ORDERID in the legacy API.

It would be a big change to not include the ORDERID, but should be pretty simple to skip the 4xxxxxxxxx and 7xxxxxxxxx ranges.

Event Timeline

Ejegg created this task.Aug 20 2019, 2:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2019, 2:56 PM

Change 531234 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Legacy GC: skip order IDs starting with 4 or 7

https://gerrit.wikimedia.org/r/531234

Ejegg set the point value for this task to 2.Aug 20 2019, 3:40 PM
Ejegg moved this task from Triage to Current Sprint on the Fundraising-Backlog board.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Princess Mongodb board.
Ejegg claimed this task.Aug 21 2019, 2:29 AM
Ejegg triaged this task as High priority.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Quick and the Deadlocked board.

Change 531234 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Legacy GC: skip order IDs starting with 4 or 7

https://gerrit.wikimedia.org/r/531234

Ejegg closed this task as Resolved.Aug 26 2019, 8:20 PM